# interact

### Methods

#### (static) isSet(element) → {boolean}

Check if an element or selector has been set with the `interact` function

Source:
  - @interactjs/core/InteractStatic.ts, line 99

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | `Element` | The Element being searched for

##### Returns:

Type:
  `boolean`

Indicates if the element or CSS selector was previously passed to interact

#### (static) maxInteractions(newValueopt)

Returns or sets the maximum number of concurrent interactions allowed. By default only 1 interaction is allowed at a time (for backwards compatibility). To allow multiple interactions on the same Interactables and elements, you need to enable it in the draggable, resizable and gesturable `'max'` and `'maxPerElement'` options.

Source:
  - @interactjs/auto-start/base.ts, line 82

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`newValue` | `number` | <optional> | Any number. newValue <= 0 means no interactions.

#### (static) off(type, listener, options) → {object}

Removes a global InteractEvent listener or DOM event from `document`

Source:
  - @interactjs/core/InteractStatic.ts, line 163

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | `string` | `array` | `object` | The types of events that were listened for
`listener` | `function` | The listener function to be removed
`options` | `object` | `boolean` | [options] object or useCapture flag for removeEventListener

##### Returns:

Type:
  `object`

interact

#### (static) on(type, listener, optionsopt) → {object}

Add a global listener for an InteractEvent or adds a DOM event to `document`

Source:
  - @interactjs/core/InteractStatic.ts, line 113

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`type` | `string` | `array` | `object` |  | The types of events to listen for
`listener` | `function` |  | The function event (s)
`options` | `object` | `boolean` | <optional> | object or useCapture flag for addEventListener

##### Returns:

Type:
  `object`

interact

#### (static) pointerMoveTolerance(newValueopt) → {interact|number}

Returns or sets the distance the pointer must be moved before an action sequence occurs. This also affects tolerance for tap events.

Source:
  - @interactjs/core/InteractStatic.ts, line 248

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`newValue` | `number` | <optional> | The movement from the start position must be greater than this value

##### Returns:

Type:
  `interact` | `number`

#### (static) stop() → {object}

Cancels all interactions (end events are not fired)

Source:
  - @interactjs/core/InteractStatic.ts, line 233

##### Returns:

Type:
  `object`

interact

#### (static) supportsPointerEvent() → {boolean}

Source:
  - @interactjs/core/InteractStatic.ts, line 224

##### Returns:

Type:
  `boolean`

Whether or not the browser supports PointerEvents

#### (static) supportsTouch() → {boolean}

Source:
  - @interactjs/core/InteractStatic.ts, line 215

##### Returns:

Type:
  `boolean`

Whether or not the browser supports touch input

#### (static) use(plugin) → {InteractStatic}

Use a plugin

Source:
  - @interactjs/core/InteractStatic.ts, line 84

##### Parameters:

Name | Type | Description
--- | --- | ---

`plugin`

`Object`

Name | Type | Description
--- | --- | ---
`install` | `function` |

##### Returns:

Type:
  `InteractStatic`